Update to .NET SDK 9.0.106 and Runtime 9.0.5

Resolves: RHEL-89451
This commit is contained in:
Omair Majid 2025-05-13 19:09:50 -04:00
parent 8091d88f4b
commit f060e64457
4 changed files with 55 additions and 14 deletions

2
.gitignore vendored
View File

@ -24,3 +24,5 @@
/dotnet-9.0.3.tar.gz.sig
/dotnet-9.0.4.tar.gz
/dotnet-9.0.4.tar.gz.sig
/dotnet-9.0.5.tar.gz
/dotnet-9.0.5.tar.gz.sig

View File

@ -10,13 +10,13 @@
# upstream can produce releases with a different tag than the SDK version
#%%global upstream_tag v%%{runtime_version}
%global upstream_tag v9.0.4
%global upstream_tag v9.0.5
%global upstream_tag_without_v %(echo %{upstream_tag} | sed -e 's|^v||')
%global hostfxr_version %{runtime_version}
%global runtime_version 9.0.4
%global aspnetcore_runtime_version 9.0.4
%global sdk_version 9.0.105
%global runtime_version 9.0.5
%global aspnetcore_runtime_version 9.0.5
%global sdk_version 9.0.106
%global sdk_feature_band_version %(echo %{sdk_version} | cut -d '-' -f 1 | sed -e 's|[[:digit:]][[:digit:]]$|00|')
%global templates_version %{aspnetcore_runtime_version}
#%%global templates_version %%(echo %%{runtime_version} | awk 'BEGIN { FS="."; OFS="." } {print $1, $2, $3+1 }')
@ -643,8 +643,36 @@ system_libs=
system_libs=$system_libs+zlib+
%endif
VERBOSE=1 timeout 5h \
./build.sh \
%ifarch ppc64le s390x
max_attempts=3
%else
max_attempts=1
%endif
function retry_until_success {
local exit_code=1
local tries=$1
shift
set +e
while [[ $exit_code != 0 ]] && [[ $tries != 0 ]]; do
(( tries = tries - 1 ))
"$@"
exit_code=$?
done
set -e
return $exit_code
}
cat >dotnet-rpm-build.sh <<EOF
#!/bin/bash
set -euo pipefail
set -x
find -depth -name 'artifacts' -type d -print -exec rm -rf {} \;
./build.sh \
--source-only \
--release-manifest %{SOURCE5} \
%if %{without bootstrap_dotnet}
@ -661,6 +689,13 @@ VERBOSE=1 timeout 5h \
/p:ContinueOnPrebuiltBaselineError=true \
/v:n \
/p:LogVerbosity=n
EOF
chmod +x dotnet-rpm-build.sh
VERBOSE=1 retry_until_success $max_attempts \
timeout 5h \
./dotnet-rpm-build.sh
sed -e 's|[@]LIBDIR[@]|%{_libdir}|g' %{SOURCE21} > dotnet.sh
@ -843,6 +878,10 @@ export COMPlus_LTTng=0
%changelog
* Tue May 13 2025 Omair Majid <omajid@redhat.com> - 9.0.106-2
- Update to .NET SDK 9.0.106 and Runtime 9.0.5
- Resolves: RHEL-89451
* Wed Apr 09 2025 Omair Majid <omajid@redhat.com> - 9.0.105-2
- Update to .NET SDK 9.0.105 and Runtime 9.0.4
- Resolves: RHEL-85279

View File

@ -1,10 +1,10 @@
{
"release": "9.0.4",
"release": "9.0.5",
"channel": "9.0",
"tag": "v9.0.4",
"sdkVersion": "9.0.105",
"runtimeVersion": "9.0.4",
"aspNetCoreVersion": "9.0.4",
"tag": "v9.0.5",
"sdkVersion": "9.0.106",
"runtimeVersion": "9.0.5",
"aspNetCoreVersion": "9.0.5",
"sourceRepository": "https://github.com/dotnet/dotnet",
"sourceVersion": "b7deac6d4239cd0d3375d55c2618054bb2f9df64"
"sourceVersion": "3d441471e6d6513e40022042a13b536bebff0590"
}

View File

@ -1,2 +1,2 @@
SHA512 (dotnet-9.0.4.tar.gz) = 5061b1fa37c04c84ceddd544af8f4d917aaaa56b8c6b97a68282654055f7cce8f109d9c36f4c4bbca1c1a8f6251659f906e2915ebb9644bc508ea831e5eeca77
SHA512 (dotnet-9.0.4.tar.gz.sig) = 106acd8793def24dc462472b92e76babc2d92d1e2d3c6e9340f8248faa900cbbc7800f76d3ed73cd0f6058c30b07f0675a4d0a50b4e747834da57a0dbf5111c2
SHA512 (dotnet-9.0.5.tar.gz) = c6eb46fc2713b1fe66f3419d4de9d4614c0de313d01fcb37a75c2bfdcd1b7e97c0a85dcccd6065c91f60ff3e256ada9690ead1f194a15f74be0cdc624e29dc2d
SHA512 (dotnet-9.0.5.tar.gz.sig) = 78eb5922eb68d0c2bf14cef9c217ce364a10bd792726e9caca7a52b9b1691d5c9d670d49b5c3ea25733b5ea52d5c83abc669d2bbc4e37c7cc36ff09cc1411ef6